Skitflow
Generated

Admin

Skitflow API reference for Admin endpoints.

GET
/admin.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/admin.one"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/admin.createUserInvitation

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/admin.createUserInvitation" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/admin.removeUser

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/admin.removeUser" \  -H "Content-Type: application/json" \  -d '{    "authId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/admin.getUserByToken

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

token*string

Response Body

application/json

application/json

curl -X GET "https://example.com/admin.getUserByToken?token=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/admin.assignPermissions

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/admin.assignPermissions" \  -H "Content-Type: application/json" \  -d '{    "userId": "string",    "canCreateProjects": true,    "canCreateServices": true,    "canDeleteProjects": true,    "canDeleteServices": true,    "accesedProjects": [      "string"    ],    "accesedServices": [      "string"    ],    "canAccessToTraefikFiles": true,    "canAccessToDocker": true,    "canAccessToAPI": true,    "canAccessToSSHKeys": true,    "canAccessToGitProviders": true  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}